#!/usr/bin/env bash
#
# Build the ingest_pipeline_py3_base image
#
# Example: ./build_py3_base_image.sh

set -exuo pipefail

cd "$( (builtin cd "$(dirname "${BASH_SOURCE[0]}")" && pwd) )"

dir="ingest_pipeline_py3_base"

sh _get_files_for_base.sh "$dir"

function cleanup {
  sh _cleanup_for_base.sh "$dir"
}
trap cleanup EXIT

(
  docker build "$dir"
)

echo Success!
